Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SSLIOP_Endpoint Class Reference

SSLIOP-specific implementation of PP Framework Endpoint interface. More...

`#include <SSLIOP_Endpoint.h>`

Inheritance diagram for TAO_SSLIOP_Endpoint

[legend]
Collaboration diagram for TAO_SSLIOP_Endpoint:

[legend]
List of all members.

## Public Methods
| TAO_SSLIOP_Endpoint (const SSLIOP::SSL *ssl_component, TAO_IIOP_Endpoint *iiop_endp)
| Constructor.
| ~TAO_SSLIOP_Endpoint (void)
| Destructor.
TAO_Endpoint Methods
See Endpoint.h for their documentation.
virtual TAO_Endpoint* | next (void)
virtual int | addr_to_string (char *buffer, size_t length)
virtual void | reset_hint (void)
CORBA::Boolean | is_equivalent (const TAO_Endpoint *other_endpoint)
  | Return true if this endpoint is equivalent to Parameters:
  other_endpoint. |
More...
virtual TAO_Endpoint* | duplicate (void)
| Return a copy of the corresponding endpoints by allocating memory.
virtual CORBA::ULong | hash (void)
| Return a hash value for this object.
SSLIOP_Endpoint-specific Methods
const SSLIOP::SSL& | ssl_component (void) const
| Return SSL component corresponding to this endpoint.
TAO_IIOP_Endpoint* | iiop_endpoint (void) const
| Accessor to our IIOP counterpart.
const ACE_INET_Addr& | object_addr (void) const
| Return the SSLIOP-specific ACE_INET_Addr.
## Private Attributes
SSLIOP::SSL | ssl_component_
| Cache the SSL tagged component in a decoded format. Notice that we do not need to marshal this object!
ACE_INET_Addr | object_addr_
| Cached instance of ACE_INET_Addr for use in making invocations, etc.
TAO_SSLIOP_Endpoint* | next_
| IIOP Endpoints can be stringed into a list. Return the next endpoint in the list, if any.
TAO_IIOP_Endpoint* | iiop_endpoint_
| IIOP counterpart. More...
## Friends
class | TAO_SSLIOP_Profile

## Detailed Description

SSLIOP-specific implementation of PP Framework Endpoint interface.

## Constructor & Destructor Documentation

TAO_SSLIOP_Endpoint::TAO_SSLIOP_Endpoint ( | const SSLIOP::SSL * ssl_component,
| TAO_IIOP_Endpoint * iiop_endp )`[inline]`

| Constructor.

TAO_SSLIOP_Endpoint::~TAO_SSLIOP_Endpoint ( | void )

| Destructor.

## Member Function Documentation

int TAO_SSLIOP_Endpoint::addr_to_string ( | char * buffer,
| size_t length )`[virtual]`

| Reimplemented from TAO_Endpoint.

TAO_Endpoint * TAO_SSLIOP_Endpoint::duplicate ( | void )`[virtual]`

| Return a copy of the corresponding endpoints by allocating memory. Reimplemented from TAO_Endpoint.

CORBA::ULong TAO_SSLIOP_Endpoint::hash ( | void )`[virtual]`

| Return a hash value for this object. Reimplemented from TAO_Endpoint.

ACE_INLINE TAO_IIOP_Endpoint * TAO_SSLIOP_Endpoint::iiop_endpoint ( | void ) const

| Accessor to our IIOP counterpart.

CORBA::Boolean TAO_SSLIOP_Endpoint::is_equivalent ( | const TAO_Endpoint * other_endpoint )

  | Return true if this endpoint is equivalent to Parameters:
  other_endpoint. |
Two endpoints are equivalent iff their iiop counterparts are equivalent, and, if both have non-zero ssl ports, their ssl ports are the same. Reimplemented from TAO_Endpoint.

TAO_Endpoint * TAO_SSLIOP_Endpoint::next ( | void )`[virtual]`

| Reimplemented from TAO_Endpoint.

ACE_INLINE const ACE_INET_Addr & TAO_SSLIOP_Endpoint::object_addr ( | void ) const

| Return the SSLIOP-specific ACE_INET_Addr.

void TAO_SSLIOP_Endpoint::reset_hint ( | void )`[virtual]`

| Reimplemented from TAO_Endpoint.

ACE_INLINE const SSLIOP::SSL & TAO_SSLIOP_Endpoint::ssl_component ( | void ) const

| Return SSL component corresponding to this endpoint.

## Friends And Related Function Documentation

class TAO_SSLIOP_Profile`[friend]`

## Member Data Documentation

TAO_IIOP_Endpoint * TAO_SSLIOP_Endpoint::iiop_endpoint_`[private]`

| IIOP counterpart. Since SSLIOP is an 'extension' of IIOP, each SSLIOP_Endpoint contains SSL-specific information plus a pointer to the IIOP_Endpoint containing the IIOP portion of our address.

TAO_SSLIOP_Endpoint * TAO_SSLIOP_Endpoint::next_`[private]`

| IIOP Endpoints can be stringed into a list. Return the next endpoint in the list, if any.

ACE_INET_Addr TAO_SSLIOP_Endpoint::object_addr_`[private]`

| Cached instance of ACE_INET_Addr for use in making invocations, etc.

SSLIOP::SSL TAO_SSLIOP_Endpoint::ssl_component_`[private]`

| Cache the SSL tagged component in a decoded format. Notice that we do not need to marshal this object!

The documentation for this class was generated from the following files:

- SSLIOP_Endpoint.h
- SSLIOP_Endpoint.cpp
- SSLIOP_Endpoint.i